/*****************************/
/* kChat v1.0b		     */
/* krzak@linux.net.pl        */ 
/* Marcin Krzyzanowski       */
/* http://krzak.linux.net.pl */
/* License: GPL              */
/*****************************/
/* Copyright (C) 2001  Marcin Krzyzanowski <krzak@linux.net.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
public class kChatParse {
    public static String getChatCommand(String s)
    { 
    int pozcE = s.indexOf("|");
    if (pozcE == -1) return("");
    return(new String(s.substring(1,pozcE)));  
    }
    
    public static String getCommandWho(String s)
    { 
    int pozcE = s.indexOf("|");
    int pozwE = s.indexOf("|",pozcE+1);
    if ((pozcE == -1) || (pozwE == -1)) return("");
    return(new String(s.substring(pozcE+1,pozwE))); 
    }

    public static String getCommandWhere(String s)
    { 
    int pozcE = s.indexOf("|");
    int pozwE = s.indexOf("|",pozcE+1);
    int pozwhE = s.indexOf("|",pozwE+1);
    if ((pozcE == -1) || (pozwE == -1) || (pozwhE == -1)) return("");
    return(new String(s.substring(pozwE+1,pozwhE))); 
    }

    public static String getCommandText(String s)
    { 
    int pozcE = s.indexOf("|");
    int pozwE = s.indexOf("|",pozcE+1);
    int pozwhE = s.indexOf("|",pozwE+1);
    int poztE = s.indexOf("|",pozwhE+1);
    if ((pozcE == -1) || (pozwE == -1) || (pozwhE == -1) || (poztE == -1)) return("");
    return(new String(s.substring(pozwhE+1,poztE))); 
    }

   public static String getCommandColor(String s)
    { 
    int pozcE = s.indexOf("|");
    int pozwE = s.indexOf("|",pozcE+1);
    int pozwhE = s.indexOf("|",pozwE+1);
    int poztE = s.indexOf("|",pozwhE+1);
    int pozcolE = s.indexOf("|",poztE+1);
    if ((pozcE == -1) || (pozwE == -1) || (pozwhE == -1) || (poztE == -1) || (pozcolE == -1)) return("");
    return(new String(s.substring(poztE+1,pozcolE))); 
    }

}