/*****************************/
/* kChat v1.0b		     */
/* krzak@linux.net.pl        */ 
/* Marcin Krzyzanowski       */
/* http://krzak.linux.net.pl */
/* License: GPL              */
/*****************************/
/* Copyright (C) 2001  Marcin Krzyzanowski <krzak@linux.net.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
import java.net.*;
import java.io.*;
import java.util.*;

public class kChatServer 
{
	public static void main(String[] args) throws IOException
	{
		ServerSocket serverS = null;
		int nrPortu = 1979; 
		boolean listening = true;

		try 
		{
			// utworzenie gniazdka na ktorym nasluchuje serwer
			serverS = new ServerSocket(nrPortu);
			System.out.println("\nSerwer nasluchuje na porcie: " + nrPortu);
		}
		catch (IOException e) 
		{
			System.out.println("Nasluchiwanie na porcie: " + nrPortu + " niemozliwe, " + e);
			System.exit(1);
		}


		while (listening)
		    new kChatServerThread(serverS.accept()).start();
		    
		serverS.close();
		
	}

}


